Subject: Re: bug#32413: 25.2; When run as root, emacs writes dconf files in a non-root user's /run/user/XXX directory

From: Vincent Lefevre <[email-masked]>
Date: Fri, 10 Aug 2018 17:53:10 +0200

On 2018-08-10 11:41:30 -0400, Glenn Morris wrote:
> Vincent Lefevre wrote:
> > If you mean that it writes the history, then that's a usual shell
> > thing, so that's OK.
> 
> The behaviour you complain about in the subject line is a usual X thing,
> for "modern" (ie non-ancient) desktop applications, as was explained in
> the referenced Debian bug reports you were pointed to.

But Emacs has been an ancient desktop application. Now, one has a
regression.

> > BTW, that's probably one of the reasons why "su" redefines HOME to the
> > target user home directory by default.
> 
> And it's one of the reasons why the referenced reports discouraged
> running desktop applications under plain "su". I'm sure in one of the
> reports someone suggested modifying plain "su".

This would make sense to follow the principle of plain "su"
(e.g. HOME is redefined...).

> The specific example of dconf etc is not a bug, it's how these things
> work. If you don't like it, use the configure option to disable that
> feature (most programs won't give you that option). I think the general
> principle of "Emacs should never create files/directories if the user
> hasn't explicitly asked it to do that" is a non-starter.
> So this report should be closed wontfix IMO.

I'm using Debian's package. So, you are saying that Debian should
use this option?

-- 
Vincent Lefèvre <[email-masked]> - Web: <https://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <https://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)